Redmine - Patch #3008

Wrong height of content container on My Page
2009-03-18 23:49 - Uwe Koloska

Status: Closed Start date: 2009-03-18
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Because the two columns of My Page are both configured as float in the CSS, the height of the surrounding <div> is not calculated
correctly and in the default theme and all themes derived from it, given by the min-height. The effect can be seen in the attached
screenshot: MyPage.png.

The attached path solves this by adding a <div> with a float clear:both style and was made against the current r2598 of the 0.8-stable
branch.

Related issues:
Related to Redmine - Defect #2760: User activity overflows content div Closed 2009-02-16

History

#1 - 2009-03-19 18:31 - Fabian Buch

How about the css clearfix? see http://www.positioniseverything.net/easyclearing.htmi

#2 - 2009-03-19 23:00 - Uwe Koloska
- File mypage_clearfloat2.diff added

Ah, yes, a very good point. And even better the link this site points to: Simple Clearing of Floats This leads to a very nice solution. Thank you!

| hope that public/stylesheets/application.css is the right place for this CSS magic.

#3 - 2009-03-28 13:29 - Jean-Philippe Lang

- Status changed from New to Closed

First patch applied in r2639.

Files

MyPage.png 42.6 KB 2009-03-18 Uwe Koloska
mypage_clearfloat.diff 373 Bytes 2009-03-18 Uwe Koloska
mypage_clearfloat2.diff 880 Bytes 2009-03-19 Uwe Koloska
https://www.redmine.org/projects/redmine/repository/svn/revisions/2598
http://www.positioniseverything.net/easyclearing.html
http://www.sitepoint.com/blogs/2005/02/26/simple-clearing-of-floats/
https://www.redmine.org/projects/redmine/repository/svn/revisions/2639
http://www.tcpdf.org

